package com.ruoyi.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum CardType {
    Vip(1), Dept(2), Platform(6), ECard(7), Test(8), Experience(9), Common(99); //99普通用户， 代理商 5, 教师 9

    private final Integer val;

    public static Integer getNewVal(Integer val) {
        if (null==val) {
            return Common.val;
        }
        if(val == 6 || val == 2|| val == 7) {
            return Vip.val;
        }
        return val;
    }
}
